let options = {
    message: "",
    diapason_akk: [],
    posting_mode: 0,
    request_spambot: 0,
    check_chats_sms: 0,
    request_leavechat: 0,
    sleep_send_sms: [2,8],
    posting_sleep_start: [30,60],
    file_list: [],
    timer_mode: 0,
    timer_mode_num: "",
  };

  
  $('#start_posting_massages').on('click', async function () {
  
    // Получение сообщения
    options.message = $('#text_textarea').val();
  
    if ($('#posting_mode').is(':checked')){
        options.posting_mode = 1;
    } else {
        options.posting_mode = 0;
    }

    if ($('#request_spambot').is(':checked')){
      options.request_spambot = 1;
    } else {
      options.request_spambot = 0;
    }

    if ($('#check_chats_sms').is(':checked')){
      options.check_chats_sms = 1;
    } else {
      options.check_chats_sms = 0;
    }

    if ($('#request_leavechat').is(':checked')){
      options.request_leavechat = 1;
    } else {
      options.request_leavechat = 0;
    }

    if ($('#timer_mode').is(':checked')){
      options.timer_mode = 1;
      options.timer_mode_num = $('#num_timer').val();
    } else {
        options.timer_mode = 0;
    }

    options.sleep_send_sms[0] = Number($('#sleep_send_sms_from').val());
    options.sleep_send_sms[1] = Number($('#sleep_send_sms_before').val());
    options.posting_sleep_start[0] = Number($('#posting_sleep_start_from').val());
    options.posting_sleep_start[1] = Number($('#posting_sleep_start_before').val());

    // Получение данных из textarea - @ЮЗЕРНЕЙМЫ
    options.file_list = [];
    let lines2 = $('#add_file_textarea').val().split(/\n/);
    for (var i = 0; i < lines2.length; i++) {
      if (/\S/.test(lines2[i])) {
        options.file_list.push($.trim(lines2[i]));
      }
    }
  
    clear_log = 0
    let json = JSON.stringify(options);
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
      $("#num_send_user").text(0);
      $(this).removeClass('btn-success');
      $(this).addClass('btn-danger');
      $(this).text("Остановить рассылку");
      $('#log li').remove();
      console.log(json);
      await eel.auto_posting_v1(json)();
    } else {
      $(this).removeClass('btn-danger');
      $(this).addClass('btn-success');
      $(this).text("Запустить рассылку");
      eel.stopped('spam')  //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }
  
  });
  
  eel.expose(set_finished_btn);
  function set_finished_btn(){
      $('#start_posting_massages').removeClass('btn-danger');
      $('#start_posting_massages').addClass('btn-success');
      $('#start_posting_massages').text("Запустить рассылку");
  }

  
  window.addEventListener("beforeunload", function (e) {        
    eel.stopped('posting_sent')
  });
  
  $('#set_sleep_sending').on('click', async function () {
    $('#set_sleep_modal').modal('hide');
  });

  eel.expose(success_count);
  function success_count(num) {
    $("#num_send_user").text(num); 
  }
  
  $('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
  });

  $('#save_messages').on('click', async function () {
    $("#text_textarea").val('save_messages@1');
  });

  $('#save_messages_album').on('click', async function () {
    $("#text_textarea").val('save_messages@album');
  });
  
  $('#repost_channel').on('click', async function () {
    $("#text_textarea").val('repost@https://t.me/notcoin/733');
  });

  $('#repost_hidden_channel').on('click', async function () {
    $("#text_textarea").val('repost_hidden@https://t.me/notcoin/733');
  });

  $('#sendbot_channel').on('click', async function () {
    $("#text_textarea").val('sendbot@PostBot@63cdb7581c7ae');
  });

  $('#sendedit_message').on('click', function () {
    $("#text_textarea").val(`text1=[
{Привет|Здравствуйте|Добрый день}
как дела?
]text2=[
рекламный текст
]time=[8-10]
`);
});

  $('#save_massage').on('click', async function () {
    options.sleep_send_sms[0] = Number($('#sleep_send_sms_from').val());
    options.sleep_send_sms[1] = Number($('#sleep_send_sms_before').val());
    options.posting_sleep_start[0] = Number($('#posting_sleep_start_from').val());
    options.posting_sleep_start[1] = Number($('#posting_sleep_start_before').val());
    options.message = $('#text_textarea').val();
    if ($('#posting_mode').is(':checked')){ options.posting_mode = 1;} else {options.posting_mode = 0;}
    if ($('#request_spambot').is(':checked')){ options.request_spambot = 1;} else {options.request_spambot = 0;}
    if ($('#request_leavechat').is(':checked')){ options.request_leavechat = 1;} else {options.request_leavechat = 0;}

    localStorage.setItem('text_send_autoposting_one', JSON.stringify(options));
    success('Настройки сохранены!')
  });
  
  $('#get_save_massage').on('click', async function () {
    let options = JSON.parse(localStorage.getItem('text_send_autoposting_one'));
    console.log(options)
    $('#text_textarea').val(options.message)
    $('#sleep_send_sms_from').val(options.sleep_send_sms[0])
    $('#sleep_send_sms_before').val(options.sleep_send_sms[1])
    $('#posting_sleep_start_from').val(options.posting_sleep_start[0])
    $('#posting_sleep_start_before').val(options.posting_sleep_start[1])
    // ==================

    // ==================
    if(options.posting_mode == 1){ $("#posting_mode").prop('checked', true);}  // checked
    else { $("#posting_mode").prop('checked', false);}  // unchecked
    if(options.request_spambot == 1){ $("#request_spambot").prop('checked', true);}  // checked
    else { $("#request_spambot").prop('checked', false);}  // unchecked
    if(options.request_leavechat == 1){ $("#request_leavechat").prop('checked', true);}  // checked
    else { $("#request_leavechat").prop('checked', false);}  // unchecked
    success('Настройки восстановлены!')
  });

  // ОБРАБОТЧИК НАЖАТИЯ КАРТИНКА
  $('#add_img').on('click', async function () {
    let img_res = await eel.get_image_for_message()();//тут нужно вставить путь на картинку которую выбрал пользователь
    console.log(img_res)
    if (img_res !== "" && img_res !== 0 && img_res != false) {// Демонстрация изображения если есть
      $('#myimage').attr('src', img_res[0]);
      $.each(img_res, function(index, value){
        let text = $("#add_file_textarea").val();
        $('#add_file_textarea').val(text + 'web/' + value + '\n')
      })
      $("#add_file_form").removeClass('d-none');
      // $('#add_file_textarea').val(text + 'web/' + img_res + '\n')
    }
  });

  $('#select_accounts_apply').on('click', async function () {
    console.log("Нажали")
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
      let type_bg = $('#table_users tr').eq(i).attr("class");
      if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
      }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
  });
  
  eel.expose(counter_sess);
  function counter_sess(num) {
    $("#counter_sess").text(num);
  }
  
  let clear_log = 0
  eel.expose(log);
  function log(log_line) {
    if (clear_log == 250){
      $('#log li:first').remove();
    } else {clear_log = clear_log + 1}
    $('#log').append('<li>' + log_line + '</li>');
    $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
  }

  eel.expose(reload_python);
  function reload_python() {
    window.location.reload();
  }

  $('#timer_mode').on('click', function () {
    if ($('#timer_mode').is(':checked')){
        $('.timer_mode_input').removeClass('d-none');
    } else {
        $('.timer_mode_input').addClass('d-none');
    }
  })

  $('#download_leavechat').on('click', function () {
    var link = document.createElement('a');
    link.setAttribute('href', '/uploads/chat_write_forbidden.txt');
    link.setAttribute('download', 'chat_write_forbidden.txt');
    link.click();
    return false;
  });

  function success(massege){
    const Toast = Swal.mixin({
        toast: true,
        position: 'bottom-end',
        showConfirmButton: false,
        timer: 2000,
        timerProgressBar: true,
    });
  
    Toast.fire({
        icon: 'success',
        title: massege
    });
  }